package api.common.pojo.po.home;


import api.common.pojo.common.CommonPO;
import lombok.*;
import lombok.experimental.SuperBuilder;

@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class SystemServerPO extends CommonPO {

    String id;
    String serverId;
    String serverAddress;
    String serverType;
    Double memoryUsage;
    Long memoryAvailable;
    Long memoryTotal;
    Double diskUsage;
    Long diskAvailable;
    Long diskTotal;
    Double cpuUsage;
    Long cpuTotal;   // cpu 线程数
    Double gpuUsage;
    Long gpuTotal;   // gpu 内存数
    Integer taskNumber;


}
