package api.common.pojo.po.project;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 自动运行项目子表
 */
@Getter
@Setter
public class SimulationAutomaticSubProjectPO extends BasePO {

    //主项目表id
    private String parentId;

    //主项目表项目id
    private String parentProjectId;

    //项目日期
    private Integer projectDate;

    //项目序号
    private Integer projectNum;

    //项目id
    private String projectId;

    //项目名称
    private String projectName;

    //当前运行状态
    private String nowRunState;

    //评测等级
    private String evaluationLevel;

    //开始时间
    private Date startTime;

    //完成时间
    private Date finishTime;

    //算法得分
    private Double algorithmScore;

}
