package api.common.pojo.po.project;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 运行项目数据
 */
@ToString
@Getter
@Setter
public class SimulationManualProjectPO extends BasePO {
    private Integer projectDate;    //项目日期
    private Integer projectNum; //项目序号
    private String projectId;   //项目id
    private String projectName; //项目名称
    private String projectDescribe; //项目描述
    private String algorithm;   //算法
    private String vehicle; //车辆 id
    private String scene;    //场景（包）
    private String operationCycle;  //运行周期
    private String parallelism; //并行度
    private String ruleView;     //规则查看
    private String isChoiceGpu; //是否选择gpu(0:是，1：否)
    private Long automaticRunTimes; //自动运行次数
    private Date lastRunTime;   //最近运行时间
    private String automaticRunState;   //自动运行状态(0：开启，1：关闭)
    private String nowRunState; //当前运行状态
    private String evaluationLevel; //评测等级
    private Date startTime; //开始时间
    private Date finishTime;     //完成时间
    private Long maxSimulationTime; //最大仿真时间
    private Double algorithmScore;  //算法得分
    private String algorithmType;   //算法类型
    private String details;
    private String algorithmArray;  //算法数组（公私有）
    private String vehicleArray;    //车辆模型数组（公私有）
    private String sceneArray;  //场景测试包数组（公私有）
    private String newId;  // 用于重新运行时修改项目id

}
