package api.common.pojo.po.scheduler;

import api.common.pojo.common.CommonPO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class SchedulerProjectPO extends CommonPO {
    private String id;
    private String projectId;
    private String scenePackageId;
    private String createUserId;
    private String parallelism;
    private String projectType;
    private String errorMessage;
}
