package api.common.pojo.vo.model;

import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class ConfigVO {
    private String id;                                          // 主键id
    private String configCode;                                  // 配置编码
    private String configName;                                  // 配置名称
    private String configDescription;                           // 配置描述
    private String vehicleId;                                   // 车辆id
    private String vehicleName;                                 // 车辆名称
    private String vehicleDescription;                          // 车辆描述
    private String vehicleTopView;                              // 车辆图片
    private String vehicleFrontView;                            // glb文件地址
    private String share;                                       // 是否分享
    private String isUnavailable;                               // 是否禁用
    private Map<String, String> sensorCount;                    // 传感器数量
    private Map<String, List<ConfigSensorVO>> configSensors;    // 传感器配置列表
    private String[] vehicleArrayS;                             // 车辆（公私有）
    private String vehicleArray;                                // 车辆（公私有）
}
