package com.css.simulation.resource.scheduler.api.controller;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.scheduler.application.service.FileService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;

@RequestMapping("/file")
@RestController
@Slf4j
public class CpuNodeController {
    @Resource
    private FileService fileService;

    @RequestMapping(value = "/uploadOsgb")
    public ResponseBodyVO<String> uploadOsgb(
            @RequestPart("file") MultipartFile file
    ) {
        fileService.uploadOsgb(file);
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SUCCESS);
    }


}
