package com.css.simulation.resource.scheduler.application.entity;

import com.css.simulation.resource.scheduler.infrastructure.configuration.entity.DynamicsEntity;
import com.css.simulation.resource.scheduler.infrastructure.entity.ModelEntity;
import com.css.simulation.resource.scheduler.infrastructure.entity.SensorsEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleEntity {

    private ModelEntity model;
    private DynamicsEntity dynamics;
    private SensorsEntity sensors;

}
