package api.common.pojo.param.scene;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 删除场景测试包中场景
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneDeleteParam implements Serializable {
    private String sceneZrId;   // （自然场景）
    private String sceneJtId;   // （交通场景）
    private String sceneBzId;   // （标准场景）
    private String sceneFhId;   // （泛华场景）
    private List<String> sceneNames; // 场景名称列表
    public Timestamp modifyTime;
    public String modifyUserId; //记录最后更新人（包括删除）（用户id）

}
