package api.common.pojo.po.model;

import api.common.pojo.common.CommonPO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@Data
public class CameraPO extends CommonPO {

    private String id;  //主键id
    private String sensorCode;  //传感器编码
    private String sensorName;  //传感器名称
    private String description; //传感器描述
    private BigDecimal nearDistance;    //盲区距离
    private BigDecimal farDistance; //探测距离
    private BigDecimal fovH;    //水平现场角
    private BigDecimal fovV;    //垂直现场角
    private String resolution;  //分辨率
    private BigDecimal frameRate;   //帧率
    private String selfDisplay; //是否显示本车（1显示0不显示）
    private String share;   //是否分享
}
