package api.common.pojo.po.model;

import api.common.pojo.common.CommonPO;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class ConfigPO extends CommonPO {
    private String id;  //主键id
    private String configCode;  //配置编码
    private String configName;  //配置名称
    private String description; //车辆描述
    private String vehicleId;   //车辆id
    private String share;   //是否分享
    private String vehicleArray;    //车辆（公私有）
    private String isUnavailable;    //车辆（公私有）
    private String sensorId;    // 传感器id
}
