package api.common.pojo.po.project;

import lombok.*;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ManualProjectTaskPO extends BasePO {
    private String pId; //项目主表id
    private String sceneId; //场景id
    private String sceneName;   //场景名称
    private String sceneType;   //场景类型
    private Date runStartTime;  //运行开始时间
    private Date runEndTime;    //运行结束时间
    private String runState;    //运行状态
    private String runResult;   //运行结果
    private String runResultFilePath;   //运行结果文件minio路径
    private String score;   //得分
    private String targetEvaluate;  //指标评价
    private String mileage; //里程
    private String averageVelocity; //平均速度
    private String maximunSpeed;    //最大速度
    private String minimunVelocity;  //最小速度
    private String maximumAcceleration;  //最大加速度
    private String maximumDeceleration; //最大减速度
    private String maximumSwingSpeed;   //最大摆角速度
    private String speedVariance;    //自车速度方差
    private String speedComfortLevel;      //舒适度
    private String swingSpeedMeanSquareRoot;       //自车横摆角速度均方根
    private String swingComfortLevel;     //舒适度
    private String acceleration;     //acceleration变化曲线
    private String laneOffset;  //lane_offset变化曲线
    private String brake;    //brake变化曲线
    private String steetingWheel;    //steeting_wheel变化曲线
    private String throttle;        //throttle变化曲线
    private String yawRate;      //yaw_rate变化曲线
    private String velocity;        //velocity变化曲线
    private String otherCurve;      //其他
    private String timerShaft;      //时间轴
}
