package api.common.pojo.po.system;

import api.common.pojo.common.CommonPO;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class SceneImportPO extends CommonPO implements Serializable {

    private String id;  //任务id
    private List<String> idList;  //任务id
    private String name;    //任务名称
    private String dataDirectory;   //场景包路径
    private String sceneType;   //场景类型
    private String status;  //任务执行状态
    private int successNum; //成功数量
    private int falseNum;   //失败数量
    private String errorMessage;    //错误信息
    private String totalTime;   //总用时长
    private String sceneNames;
}
