package api.common.pojo.vo.project;

import lombok.Data;

import java.util.List;

/**
 * 项目详情
 */
@Data
public class ProjectDetailsVO {
    private String projectId; //项目id
    private String projectName; //项目名称
    private String projectDescribe; //项目描述
    private String startTime; //开始时间
    private String finishTime; //完成时间
    private String nowRunState; //当前运行状态（进度）
    private String nowRunStateName; //当前运行状态（进度）
    private String evaluationLevel; //评测等级
    private String algorithmName; //算法名称
    private String algorithmDescribe; //算法描述
    private String vehicleName; //车辆名称
    private String vehicleDescribe; //车辆描述
    private String vehicleTopView; //车辆图片地址
    private List<SensorBaseInfoVo> sensorCameraList; //摄像头
    private List<SensorBaseInfoVo> sensorOgtList; //完美传感器
    private List<SensorBaseInfoVo> sensorLidarList; //激光雷达
    private List<SensorBaseInfoVo> sensorRadarList; //毫米波雷达
    private List<SensorBaseInfoVo> sensorGpsList; //gps
    private List<ManualProjectTaskVo> taskList; //任务列表信息
    private List<ProjectRunStateNumVo> stateList; //运行状态统计
    private List<ProjectRunResultRatioNumVo> resultList; //运行结果统计
    private List<ProjectRunResultRatioNumVo> resultScoreList; //运行得分统计
    private String parallelism; //并行度
    private Long maxSimulationTime; //最大仿真时间
    private String isChoiceGpu; //是否选择gpu
    private boolean createReport; //是否生成报告
    private String packageName; //场景包名
    private List<AlgorithmScoreVO> algorithmScoreList; //算法测试得分
}
