package api.common.pojo.vo.project;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 工作报告
 */
@Data
public class ProjectReportVO {
    private String projectName; //项目名称
    private String projectId; //项目id
    private String algorithmName; //算法名称
    private Double algorithmScore; //算法得分
    private String algorithmDescribe;  //算法描述
    private String evaluationLevel; //评测等级
    private Double scoreRatio; //得分率
    private String algorithmEvaluation; //算法简评
    private List<AlgorithmScoreVO> algorithmScoreList; //算法测试得分
    private String evaluationGrade;
    private List<ScenePackageSubListVO> sceneScoreList; //算法测试评分细则、详细得分情况
    private List<Map> subListScoreLiTitle;
    private List<SubScListVo> subListScoreLi;
    private List<Map> sceneScoreLiTitle;
    private List<SceneScListVo> sceneScoreLi;
    private String packageName; //场景包名
    private Integer maxIndex;
    private String startTime; //测试时间(开始时间)
}


