package com.css.simulation.resource.scheduler.domain.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.scheduler.domain.feign.VideoFeignClient;
import org.springframework.stereotype.Component;


@Component
public class VideoFeignClientFallBack implements VideoFeignClient {
    @Override
    public ResponseBodyVO<String> generateVideo(String generateVideoKey, String nodeName, String projectId, String projectType, String maxSimulationTime, String taskId) {
        return null;
    }
}
